import { Provider, SupabaseClient } from '@supabase/supabase-js';
import { I18nVariables, ProviderScopes, SocialLayout } from '@supabase/auth-ui-shared';
import { Appearance } from '../types';
declare type RedirectTo = undefined | string;
export interface SocialAuthProps {
    supabaseClient: SupabaseClient;
    socialLayout?: SocialLayout;
    providers?: Provider[];
    providerScopes?: Partial<ProviderScopes>;
    queryParams?: {
        [key: string]: string;
    };
    redirectTo?: RedirectTo;
    onlyThirdPartyProviders?: boolean;
    view?: 'sign_in' | 'sign_up' | 'magic_link';
    i18n?: I18nVariables;
    appearance?: Appearance;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<SocialAuthProps>, {
    socialLayout: string;
    providers: () => string[];
    onlyThirdPartyProviders: boolean;
    view: string;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<SocialAuthProps>, {
    socialLayout: string;
    providers: () => string[];
    onlyThirdPartyProviders: boolean;
    view: string;
}>>>, {
    view: "sign_in" | "sign_up" | "magic_link";
    providers: Provider[];
    socialLayout: "horizontal" | "vertical";
    onlyThirdPartyProviders: boolean;
}, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
declare type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
